<!DOCTYPE html>
<html>
	<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <style>
	html, body {
	  height: 100%;
	  margin: 0;
	  padding: 0;
	}

	#map_canvas {
		height: 400px;
		width: 700px;
		margin:10px auto;
	}	
	</style>
    <script src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
    <script>	
	function initialize() {
		var styles = {
			'monTheme': [
            {
              featureType: 'road',
              elementType: 'geometry',
              stylers: [{'visibility': 'simplified'}]
            }, {
              featureType: 'road.arterial',
              stylers: [
               {hue: 149},
               {saturation: -78},
               {lightness: 0}
              ]
            }, {
              featureType: 'road.highway',
              stylers: [
                {hue: -31},
                {saturation: -40},
                {lightness: 2.8}
              ]
            }, {
              featureType: 'poi',
              elementType: 'label',
              stylers: [{'visibility': 'off'}]
            }, {
              featureType: 'landscape',
              stylers: [
                {hue: 163},
                {saturation: -26},
                {lightness: -1.1}
              ]
            }, {
              featureType: 'transit',
              stylers: [{'visibility': 'off'}]
            }, {
              featureType: 'water',
                stylers: [
                {hue: 3},
                {saturation: -24.24},
                {lightness: -38.57}
              ]
            }
        ]};			
	
		var mapOptions = {
			zoom: 6,
			center: new google.maps.LatLng(48,2),
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			disableDefaultUI: true,
			mapTypeId: 'monTheme'
		}
		var map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions);
		var styledMapType = new google.maps.StyledMapType(styles['monTheme'], {name: 'monTheme'});
		map.mapTypes.set('monTheme', styledMapType);
		
		var myLatLng = new google.maps.LatLng(48.583148,7.747882);
		var marker = new google.maps.Marker({
			position: myLatLng,
			map: map,
			icon: 'http://lab.lije-creative.com/maps/flag.png',
			title: 'Strasbourg'
		});
		
		var myLatLng2 = new google.maps.LatLng(<?php if(!empty($_POST['ville'])) { echo getLatLong($_POST['ville']); } ?>);
		var marker2 = new google.maps.Marker({
			position: myLatLng2,
			map: map,
			icon: 'http://lab.lije-creative.com/maps/star.png',
			title: '<?php if(!empty($_POST['ville'])) { echo $_POST['ville']; } ?>'
		});

		var directionsService = new google.maps.DirectionsService();
		var directionsDisplay = new google.maps.DirectionsRenderer({ 'map': map });
		var request = {
		  origin     : myLatLng,
		  destination: myLatLng2,
		  travelMode : google.maps.DirectionsTravelMode.DRIVING,
		  unitSystem: google.maps.DirectionsUnitSystem.METRIC
		};		
		directionsService.route(request, function(response, status) {
		  if (status == google.maps.DirectionsStatus.OK) {
			directionsDisplay.setDirections(response);
			directionsDisplay.suppressMarkers = true;
		  }
		});		
	}
    </script>	
	</head>
	<body <?php if(!empty($_POST['ville'])) { echo 'onload="initialize()"'; } ?>>
    <?php
    function getLatLong($ville){
		$result = file_get_contents("http://maps.googleapis.com/maps/api/geocode/json?address=".$ville.",%20france&sensor=false");
		$result = json_decode($result);
		$result = $result->results;
		return $result[0]->geometry->location->lat.",".$result[0]->geometry->location->lng;
    }
	
	function getDistance($ville) {
		$result = file_get_contents("http://maps.googleapis.com/maps/api/directions/json?origin=".$ville.",FR&destination=Strasbourg,FR&sensor=false");
		$result = json_decode($result);
		$result = $result->routes;
		$result = $result[0]->legs;
		return $result[0]->distance->text;
	}
	
	function getDirections($ville) {
		$result = file_get_contents("http://maps.googleapis.com/maps/api/directions/json?origin=".$ville.",FR&destination=Strasbourg,FR&sensor=false&language=fr");
		$result = json_decode($result);
		$result = $result->routes;
		$result = $result[0]->legs;
		return $result[0]->steps;
	}	
    ?>	
	<div align="center">
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
			<input type="text" id="ville" name="ville" value="" />
			<input type="submit" value="Valider" />
		</form>
		<?php
			if(!empty($_POST['ville'])) {
				echo "<br />Distance : ".getDistance($_POST['ville'])."<br />";
				echo '<div id="map_canvas"></div>';
				$steps = getDirections($_POST['ville']);
				foreach($steps as $step) {
					echo $step->html_instructions."<br />";
				}
			}
		?>
	</div>
	</body>
</html>